summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarinus Schraal <foser@gentoo.org>2006-08-03 17:04:47 +0000
committerMarinus Schraal <foser@gentoo.org>2006-08-03 17:04:47 +0000
commit3a5ffc44092e7bd300bcce1c8c05173e36c4a709 (patch)
treea87c8433560ab6a1a9da95cedca42221ff821423 /eclass/gnome2.eclass
parentemake install needs -j1. bug #142662. (diff)
downloadgentoo-2-3a5ffc44092e7bd300bcce1c8c05173e36c4a709.tar.gz
gentoo-2-3a5ffc44092e7bd300bcce1c8c05173e36c4a709.tar.bz2
gentoo-2-3a5ffc44092e7bd300bcce1c8c05173e36c4a709.zip
restart gconf daemon after installing new schemas (#132862)
Diffstat (limited to 'eclass/gnome2.eclass')
-rw-r--r--eclass/gnome2.eclass9
1 files changed, 8 insertions, 1 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index b17bf19e0bb3..8bb6abaf9e3a 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.72 2006/06/12 14:40:49 allanonjl Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.73 2006/08/03 17:04:47 foser Exp $
# GNOME 2 ECLASS
inherit libtool gnome.org debug fdo-mime eutils
@@ -102,6 +102,7 @@ gnome2_src_install() {
gnome2_gconf_install() {
+
if [[ -x ${GCONFTOOL_BIN} ]]; then
# We are ready to install the GCONF Scheme now
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
@@ -117,7 +118,13 @@ gnome2_gconf_install() {
${GCONFTOOL_BIN} --makefile-install-rule ${F} 1>/dev/null
fi
done
+
+ # have gconf reload the new schemas
+ ebegin "Reloading GConf schemas"
+ killall -HUP gconfd-2
+ eend $?
fi
+
}
gnome2_gconf_uninstall() {